# $Revision: 1.11 $, $Date: 2004/05/07 01:09:19 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	TEA
Summary:	Crypt::TEA Perl module - Tiny Encryption Algorithm
Summary(pl):	Modu Perla Crypt::TEA - Tiny Encryption Algorithm
Name:		perl-Crypt-TEA
Version:	1.25
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6e53511e455724b40007e4f2c0050270
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements TEA (Tiny Encryption Algorithm) encryption. It
supports the Crypt::CBC interface. TEA is a 64-bit symmetric block
cipher with a 128-bit key and a variable number of rounds (32 is
recommended). It has a low setup time, and depends on a large number
of rounds for security, rather than a complex algorithm. It was
developed by David J. Wheeler and Roger M. Needham, and is described
at <http://www.ftp.cl.cam.ac.uk/ftp/papers/djw-rmn/djw-rmn-tea.html>.

%description -l pl
Ten modu jest implementacj szyfrowania TEA (Tiny Encryption
Algorithm - niewielki algorytm szyfrowania). Obsuguje interfejs
Crypt::CBC. TEA jest 64-bitowym symetryczym szyfrem blokowym ze
128-bitowym kluczem i zmienn liczb krokw (zaleca si 32). Wymaga
mao czasu do uruchomienia i dla zapewnienia bezpieczestwa polega na
duej liczbie krokw, a nie skomplikowanym algorytmie. TEA zosta
opracowany przez Davida J. Wheelera i Rogera M. Needhama, a jego opis
mona znale pod adresem:
<http://www.ftp.cl.cam.ac.uk/ftp/papers/djw-rmn/djw-rmn-tea.html>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/TEA.pm
%dir %{perl_vendorarch}/auto/Crypt/TEA
%{perl_vendorarch}/auto/Crypt/TEA/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/TEA/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-TEA.spec,v $
Revision 1.11  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:26  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.8  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.7  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:52  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/02 20:06:34  qboosh
- new

